summaryrefslogtreecommitdiff
path: root/contrib/get-cadical
diff options
context:
space:
mode:
authorMathias Preiner <mathias.preiner@gmail.com>2018-03-20 16:11:15 -0700
committerGitHub <noreply@github.com>2018-03-20 16:11:15 -0700
commit614670f98a9ab2d3cfcb9f364a1b06d78f63ebb0 (patch)
tree7dbdfbbae495fed26877c51267f6775f618f5d33 /contrib/get-cadical
parent62f58d62c6c597eeb9cae5e08d74f21c4a5c5c40 (diff)
Add support for CaDiCaL as eager BV SAT solver. (#1675)
Diffstat (limited to 'contrib/get-cadical')
-rwxr-xr-xcontrib/get-cadical22
1 files changed, 22 insertions, 0 deletions
diff --git a/contrib/get-cadical b/contrib/get-cadical
new file mode 100755
index 000000000..a4be17d51
--- /dev/null
+++ b/contrib/get-cadical
@@ -0,0 +1,22 @@
+#!/bin/bash
+#
+source "$(dirname "$0")/get-script-header.sh"
+
+if [ -e cadical ]; then
+ echo 'error: file or directory "cadical" exists; please move it out of the way.' >&2
+ exit 1
+fi
+
+commit="b44ce4f0e64aa400358ae3a8adb45b24ae6e742c"
+
+git clone https://github.com/arminbiere/cadical cadical
+cd cadical
+git checkout $commit
+
+CXXFLAGS="-fPIC" ./configure && make -j$(nproc)
+
+echo
+echo "Using CaDiCaL commit $commit"
+echo
+echo ===================== Now configure CVC4 with =====================
+echo ./configure --with-cadical
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback